;config
; for C-BeamMachineGo　20241102

; General preferences
G90                                          ; send absolute coordinates...
M550 P"mycnc"                                ; マシン名

; Network
if {network.interfaces[0].type = "ethernet"}
    M552 P192.168.0.56 S1                  ; 有線LANモデル場合IPアドレス設定 P0.0.0.0で自動設定
else
    M552 S1                                ; WiFiモデルの場合ネットワーク設定

M586 P0 S1                                 ; HTTP有効
M586 P1 S0                                 ; FTP無効
M586 P2 S0                                 ; Telnet無効


; Drives
M569 P0.0 S0                                 ; physical drive 0.0 goes forwards S0をS1にするとモーター反転
M569 P0.1 S0                                 ; physical drive 0.1 goes forwards
M569 P0.2 S0                                 ; physical drive 0.2 goes forwards
M569 P0.3 S0                                 ; physical drive 0.3 goes forwards
M569 P0.4 S0                                 ; physical drive 0.4 goes forwards
M584 X0.0 Y0.1:0.2 Z0.3:0.4                  ; モーターの割り当て
M350 X8 Y8 Z8 I1                             ; configure microstepping with interpolation
M92 X200.00 Y200.00 Z200.00                  ; set steps per mm
M566 X60.00 Y60.00 Z60.00                    ; set maximum instantaneous speed changes (mm/min)
M203 X1800.00 Y1800.00 Z1800.00              ; set maximum speeds (mm/min)
M201 X50.00 Y50.00 Z50.00                    ; set accelerations (mm/s^2)
M906 X1800 Y1800 Z1800 I100                  ; set motor currents (mA)
M564 S1 H0                                   ; Disable jog commands when not homed


; Axis Limits
M208 X-595 Y-295 Z-160 S1                    ; set axis minima
M208 X0 Y0 Z0 S0                      　　　 ; set axis maxima

; Endstops
M574 X2 S1 P"io1.in"                         ; configure active-high endstop for low end on X via pin io1.in
M574 Y2 S1 P"io2.in"                         ; configure active-high endstop for low end on Y via pin io2.in
M574 Z2 S1 P"io3.in+io4.in"                  ; configure active-high endstop for low end on Z via pin io3and4.in

; Z-Probe
M558 P5 C"!io5.in" H5 F300 T1800       ; set Z probe type to switch and the dive height + speeds
G31 P500 X0 Y0 Z0                          ; set Z probe trigger value, offset and trigger height
M557 X-570:-10 Y-270:-10 S30                     ; define mesh grid

; Heaters
;M140 H-1                                     ; Disable heater

; Fans
M950 F0 C"out5" Q500                         ; create fan 0 on pin out3 and set its frequency
M106 P0 S0.5 H-1                             ; set fan 0 value. Thermostatic control is turned off

; Tools

; Custom settings are not defined
M453                                         ; Put the machine into CNC Modes
M501                                         ; Load config_override 
;M575 P1 S1 B57600			     ;Panel due activate
